Take the 2-minute tour ×
Game Development Stack Exchange is a question and answer site for professional and independent game developers. It's 100% free, no registration required.

I have noticed lately on the App Store many games have been updated to require a minimum of iOS 4.3 to run thus eliminating support for 2nd gen devices (iPod Touch 2nd gen and iPhone 3G).

It is now 2013, my question is what should be the minimum target iOS version and device platform for games development. If it is 4.3+ why not support older devices?

share|improve this question

2 Answers 2

up vote 3 down vote accepted

While there is no minimum version you have to support, starting from May 1, 2013, all apps must support retina display and iPhone 5 screen size.

Specially in the iOS ecosystem, you may suppose all users are running under the latest iOS version, so making your game run only on iOS 6 and above will probably get you a large proportion of users (and the vast majority of those who would pay for your game). Supporting iOS 5 will virtually get you every user.

share|improve this answer
    
I guess you could still support non-retina display devices while supporting retina display deives at the same time? –  James Eldridge Mar 26 '13 at 12:40
    
@JamesEldridge Sure, but usually supporting retina display is an additional element, so by supporting retina displays you're automatically supporting non-retina displays. Specifically, retina displays don't appear as having a greater resolution, but as having twice the pixel density. This means that you don't have to do coordinate changes when writing for retina displays, simply enable retina support. –  Panda Pajama Mar 28 '13 at 11:19

Apple dropped the support for Arm v6 in Xcode 4.5, so you pretty much can't make games for iPhone 1, 3g and some of the early iPod touches.

share|improve this answer
    
Thanks for the elaboration. It is kind of annoying if you have an old device and reset it to factory default, no more apps! –  James Eldridge Sep 17 '13 at 6:11

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.